ImportOS · Docs
API reference

GET /readyz

Readiness probe (PostgreSQL + Redis)

Readiness probe (PostgreSQL + Redis)

Checks PostgreSQL (SELECT 1 through the rv_app role) and Redis (PING). The result is cached for ~3 seconds. No authentication.

  • Authentication: No authentication
Descriptions of the operation, parameters and fields come from the OpenAPI specification (openapi.json).

Responses

200

All dependencies reachable.

application/json · Schema: Readyz

FieldTypeRequiredDescription
status"ok" | "fail"yes
checksobjectyes
checks.db"ok" | "fail"yes
checks.redis"ok" | "fail"yes

503

A dependency is unavailable.

application/json · Schema: Readyz

On this page